Bug 33149 - upgrade doesn't handle comments in lilo.conf correctly
Summary: upgrade doesn't handle comments in lilo.conf correctly
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-26 01:00 UTC by Chris Ricker
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-13 21:18:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ricker 2001-03-26 01:00:50 UTC
I upgraded from 7.0 to qa0322.  My lilo.conf before the upgrade looked like:

boot=/dev/hde1
map=/boot/map
install=/boot/boot.b
delay=20
prompt
timeout=50
verbose=2
message=/boot/message
linear
default=linux24

image=/boot/vmlinuz-2.4.3-pre6
        label=linux24
        read-only
        root=/dev/hde6
        append="video=matrox:vesa:0x118"
        #append="video=matrox:vesa:0x118 mem=128M ide0=ata66 ide0=dma ide1=dma"

image=/boot/vmlinuz-2.4.2
        label=linux24-old
        read-only
        root=/dev/hde6
        append="video=matrox:vesa:0x118"
        #append="video=matrox:vesa:0x118 mem=128M ide0=ata66 ide0=dma ide1=dma"



After the upgrade, it looked like:

boot=/dev/hde1
map=/boot/map
install=/boot/boot.b
delay=20
prompt
timeout=50
verbose=2
message=/boot/message
linear
default=linux
        #append="video=matrox:vesa:0x118 mem=128M ide0=ata66 ide0=dma ide1=dma"
        #append="video=matrox:vesa:0x118 mem=128M ide0=ata66 ide0=dma ide1=dma"

image=/boot/vmlinuz-2.4.3-pre6
        label=linux24
        read-only
        root=/dev/hde6
        append="video=matrox:vesa:0x118"

image=/boot/vmlinuz-2.4.2
        label=linux24-old
        read-only
        root=/dev/hde6
        append="video=matrox:vesa:0x118"

image=/boot/vmlinuz-2.4.2-0.1.32smp
        label=linux
        read-only
        root=/dev/hde6

image=/boot/vmlinuz-2.4.2-0.1.32
        label=linux-up
        read-only
        root=/dev/hde6


Notice the way commented lines were moved for no good reason....

Comment 1 Michael Fulbright 2002-05-01 16:25:37 UTC
Jeremy has rewritten the bootloader code, and this should be handled.

Comment 2 Jeremy Katz 2002-05-09 22:31:58 UTC
Fixed in CVS

Comment 3 Chris Ricker 2002-08-30 12:52:20 UTC
Closing this -- appears fixed

Comment 4 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated


Note You need to log in before you can comment on or make changes to this bug.